6.0.0-git
2019-05-19

[#7853] Translation application for the Horde framework
Summary Translation application for the Horde framework
Queue Incubator
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester joel (at) scopserv (dot) com
Created 2009-01-15 (3776 days ago)
Due
Updated 2010-01-12 (3414 days ago)
Assigned
Resolved 2009-01-19 (3772 days ago)
Milestone
Patch No

History
2010-01-12 23:57:41 CVS Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Add Babel (Request #7853).

  create mode 100644 babel/COPYING
  create mode 100644 babel/README
  create mode 100644 babel/commit.php
  create mode 100644 babel/config/hooks.php.dist
  create mode 100644 babel/docs/CHANGES
  create mode 100644 babel/docs/CREDITS
  create mode 100644 babel/docs/TODO
  create mode 100644 babel/download.php
  create mode 100644 babel/edit.php
  create mode 100644 babel/extract.php
  create mode 100644 babel/index.php
  create mode 100644 babel/js/effects.js
  create mode 100644 babel/js/prototype.js
  create mode 100644 babel/js/redbox.js
  create mode 100644 babel/lib/Display.php
  create mode 100644 babel/lib/Gettext.php
  create mode 100644 babel/lib/Gettext/MO.php
  create mode 100644 babel/lib/Gettext/PO.php
  create mode 100644 babel/lib/Translate.php
  create mode 100644 babel/lib/Translate_Help.php
  create mode 100644 babel/lib/Translation.php
  create mode 100644 babel/lib/api.php
  create mode 100644 babel/lib/base.php
  create mode 100644 babel/make.php
  create mode 100644 babel/po/fr_FR.po
  create mode 100644 babel/po/translation.pot
  create mode 100644 babel/reset.php
  create mode 100755 babel/scripts/translate.php
  create mode 100644 babel/stats.php
  create mode 100644 babel/templates/common-header.inc
  create mode 100644 babel/templates/index.php
  create mode 100644 babel/templates/layout.html
  create mode 100644 babel/themes/graphics/az.png
  create mode 100644 babel/themes/graphics/checked.gif
  create mode 100644 babel/themes/graphics/config.png
  create mode 100644 babel/themes/graphics/delete.png
  create mode 100644 babel/themes/graphics/down.png
  create mode 100644 babel/themes/graphics/edit.png
  create mode 100644 babel/themes/graphics/extract.png
  create mode 100644 babel/themes/graphics/list.png
  create mode 100644 babel/themes/graphics/locked.png
  create mode 100644 babel/themes/graphics/make.png
  create mode 100644 babel/themes/graphics/redbox_spinner.gif
  create mode 100644 babel/themes/graphics/sample.png
  create mode 100644 babel/themes/graphics/skeleton.png
  create mode 100644 babel/themes/graphics/translation.png
  create mode 100644 babel/themes/graphics/unchecked.gif
  create mode 100644 babel/themes/graphics/up.png
  create mode 100644 babel/themes/graphics/upload.png
  create mode 100644 babel/themes/graphics/view.png
  create mode 100644 babel/themes/graphics/za.png
  create mode 100644 babel/themes/screen.css
  create mode 100644 babel/upload.php
  create mode 100644 babel/view.php
  create mode 100644 babel/viewsource.php
http://git.horde.org/co.php/babel/COPYING?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/README?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/commit.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/config/hooks.php.dist?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/docs/CHANGES?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/docs/CREDITS?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/docs/TODO?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/download.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/edit.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/extract.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/index.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/js/effects.js?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/js/prototype.js?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/js/redbox.js?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Display.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Gettext.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Gettext/MO.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Gettext/PO.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Translate.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Translate_Help.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/Translation.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/api.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/lib/base.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/make.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/po/fr_FR.po?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/po/translation.pot?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/reset.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/scripts/translate.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/stats.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/templates/common-header.inc?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/templates/index.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/templates/layout.html?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/az.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/checked.gif?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/config.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/delete.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/down.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/edit.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/extract.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/list.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/locked.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/make.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/redbox_spinner.gif?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/sample.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/skeleton.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/translation.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/unchecked.gif?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/up.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/upload.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/view.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/graphics/za.png?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/themes/screen.css?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/upload.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/view.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
http://git.horde.org/co.php/babel/viewsource.php?rt=horde-git&r=257c7da84d074d8afa650e8c20e0c1d6c4fd2352
2009-01-19 09:46:50 Jan Schneider Comment #4
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Added to git (hatchery) so that it doesn't get lost like the first Babel.
2009-01-19 01:25:35 joel (at) scopserv (dot) com Comment #3 Reply to this comment
Please note that you must add the module on registry.php ;)
2009-01-19 01:21:11 joel (at) scopserv (dot) com Comment #2
New Attachment: babel.tgz Download
Reply to this comment
Hi,



As promises, here the Web version of the Horde Translation application 
for all modules based on Horde framework.



It include support for Edit Locking, Permissions, Search, Filter, 
Edit, View, Stats, Extract, Build, Commit and Reset.



It based on Horde 3.2 but must work with older version if you copy the 
Horde_Lock class.



I have name the new module 'Babel', like an old defunct Horde CVS 
project so I suggest it as name if you eventually want to add it on 
3.x CVS repos.



I have no idea if it work with Horde 4.x. to be honest, I've do a git 
pull of all 4.x repos but not see most of the file like login.php, 
lib/base.php .. never use GIT before, maybe I've misread something but 
this another story.
2009-01-15 14:49:39 joel (at) scopserv (dot) com New Attachment: extract.png Download
 
2009-01-15 14:49:21 joel (at) scopserv (dot) com New Attachment: stats.png Download
 
2009-01-15 14:48:59 joel (at) scopserv (dot) com New Attachment: editstring.png Download
 
2009-01-15 14:48:41 joel (at) scopserv (dot) com New Attachment: editheader.png Download
 
2009-01-15 14:48:23 joel (at) scopserv (dot) com New Attachment: viewsource.png Download
 
2009-01-15 14:48:02 joel (at) scopserv (dot) com New Attachment: view.png Download
 
2009-01-15 14:47:43 joel (at) scopserv (dot) com New Attachment: general.png Download
 
2009-01-15 14:47:14 joel (at) scopserv (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Translation application for the Horde framework
Queue ⇒ Incubator
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,



I will post next week sourcecode for a new Horde module that allow to 
manage all

Translation (gettext) for the Horde framework directly from your Web browser.



Currently implemented features:

-----------------------------------------------



- Download and Upload PO files

- View PO files (metadata and strings)

   - Edit Metadata (headers) and Strings

   - View Source Code (highlighted code)

   - Filter by All, Fuzzy or Untranslated



- Report / Statistics about translation

- Extract string from Source and generate PO files

- Clean PO files

- Generate/build binary MO files

- Allow to execute functions on all modules or a specific module.

- Support all languages specified on NLS



TODO

-----------------------------------------------



- Add permissions (SHOW, EDIT) per modules and per languages

- Add locking mechanism

- Filter by text on View page

- Display suggested translation for untranslated strings (using Google 
Translator?)


Saved Queries